{
  "version":"0.1",
  "root_folder":"%filefolder%",
  "run_context":"sub",
  "name":"Keycard build",
  "actions":[
    {
      "action":"compile_one_asm",
      "args":{
        "source_variables":false,
        "source":"keycard.asm",
        "assembler_variables":true,
        "assembler":"$ASSEMBLER$",
        "pre_arguments_variables":true,
        "pre_arguments":[
          "-f $ASM_OUTPUT_FORMAT$"
        ],
        "post_arguments_variables":true,
        "post_arguments":[
          "-o $KEYCARD_BINARY_NAME$"
        ],
        "output_file_variables":true,
        "output_file":"$KEYCARD_BINARY_NAME$",
        "success_status":[
          0
        ],
        "ignore_success_status":true,
        "cache_authorized":true
      }
    },
    {
      "action":"move_file",
      "args":{
        "source_file_variables":true,
        "source_file":"$KEYCARD_BINARY_NAME$",
        "destination_folder_variables":true,
        "destination_folder":"%rootcallerfolder%/$INITFS_DIR$"
      }
    }
  ]
}
